using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;

namespace covoiturage
{
    public partial class lesOffres : PhoneApplicationPage
    {
        public lesOffres()
        {
            InitializeComponent();
            if ((string)PhoneApplicationService.Current.State["typeOffre"] == "departEntreprise")
            {
                List<modele.OffreDepartEntreprise> lesOffresLundi = modele.Contexte.getLesOffresDepartEntreprise("lundi");
                this.lstLundi.ItemsSource = lesOffresLundi;
                List<modele.OffreDepartEntreprise> lesOffresMardi = modele.Contexte.getLesOffresDepartEntreprise("mardi");
                this.lstMardi.ItemsSource = lesOffresMardi;
                List<modele.OffreDepartEntreprise> lesOffresMercredi = modele.Contexte.getLesOffresDepartEntreprise("mercredi");
                this.lstMercredi.ItemsSource = lesOffresMercredi;
                List<modele.OffreDepartEntreprise> lesOffresJeudi = modele.Contexte.getLesOffresDepartEntreprise("jeudi");
                this.lstJeudi.ItemsSource = lesOffresJeudi;
                List<modele.OffreDepartEntreprise> lesOffresVendredi = modele.Contexte.getLesOffresDepartEntreprise("vendredi");
                this.lstVendredi.ItemsSource = lesOffresVendredi;
            }
            else
            {
                List<modele.OffreDepartDomicile> lesOffresLundi = modele.Contexte.getLesOffresDepartDomicile("lundi");
                this.lstLundi.ItemsSource = lesOffresLundi;
                List<modele.OffreDepartDomicile> lesOffresMardi = modele.Contexte.getLesOffresDepartDomicile("mardi");
                this.lstMardi.ItemsSource = lesOffresMardi;
                List<modele.OffreDepartDomicile> lesOffresMercredi = modele.Contexte.getLesOffresDepartDomicile("mercredi");
                this.lstMercredi.ItemsSource = lesOffresMercredi;
                List<modele.OffreDepartDomicile> lesOffresJeudi = modele.Contexte.getLesOffresDepartDomicile("jeudi");
                this.lstJeudi.ItemsSource = lesOffresJeudi;
                List<modele.OffreDepartDomicile> lesOffresVendredi = modele.Contexte.getLesOffresDepartDomicile("vendredi");
                this.lstVendredi.ItemsSource = lesOffresVendredi;
            }


        }
        private void lst_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if ((string)PhoneApplicationService.Current.State["typeOffre"] == "departEntreprise")
            {
                modele.OffreDepartEntreprise offre = (modele.OffreDepartEntreprise)e.AddedItems[0];
                PhoneApplicationService.Current.State["chauffeur"] = offre.chauffeur;
            }
            else
            {
                modele.OffreDepartDomicile offre = (modele.OffreDepartDomicile)e.AddedItems[0];
                PhoneApplicationService.Current.State["offre"] = offre;
            }
            NavigationService.Navigate(new Uri("/uneOffre.xaml", UriKind.Relative));
        }
    }
}